Bug 629645 - (perl-Math-Base36) Review Request: perl-Math-Base36 - Encoding and decoding of base36 strings
Review Request: perl-Math-Base36 - Encoding and decoding of base36 strings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Math-Base36/
:
Depends On:
Blocks: 630539
  Show dependency treegraph
 
Reported: 2010-09-02 11:14 EDT by Iain Arnell
Modified: 2010-09-23 08:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Math-Base36-0.07-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 21:35:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-09-02 11:14:06 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Math-Base36.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Math-Base36-0.07-1.fc15.src.rpm

Description:
This module converts to and from Base36 numbers (0..9 - A..Z)

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2443081

*rt-0.10_01
Comment 1 Marcela Mašláňová 2010-09-06 04:39:51 EDT
rpmlint perl-Math-Base36-0.07-1.fc15.src.rpm 
perl-Math-Base36.src: W: no-cleaning-of-buildroot %clean
Not needed any more.
perl-Math-Base36.src: W: no-buildroot-tag
Not sure about this.
perl-Math-Base36.src: W: no-%clean-section
Not needed any more.

BR perl is useless.
Comment 2 Iain Arnell 2010-09-06 11:22:46 EDT
(In reply to comment #1)
> rpmlint perl-Math-Base36-0.07-1.fc15.src.rpm 
> perl-Math-Base36.src: W: no-cleaning-of-buildroot %clean
> Not needed any more.
> perl-Math-Base36.src: W: no-buildroot-tag
> Not sure about this.

Also not needed any more.

https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

> perl-Math-Base36.src: W: no-%clean-section
> Not needed any more.
> 
> BR perl is useless.

Drat! I really should get around to updating cpanspec...

Spec URL: http://fedorapeople.org/~iarnell/review/perl-Math-Base36.spec
SRPM URL: http://iarnell.fedorapeople.org/review/perl-Math-Base36-0.07-2.fc15.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2449508
Comment 3 Marcela Mašláňová 2010-09-06 11:29:39 EDT
(In reply to comment #2)
> > BR perl is useless.
> 
> Drat! I really should get around to updating cpanspec...
If you can update it, then please also add macro for filtering and correct destdir ;-)

accept
Comment 4 Iain Arnell 2010-09-06 22:57:35 EDT
New Package CVS Request
=======================
Package Name: perl-Math-Base36
Short Description: Encoding and decoding of base36 strings
Owners: iarnell
Branches: f13 f14 el6
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-09-08 14:00:52 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2010-09-08 23:58:15 EDT
perl-Math-Base36-0.07-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Math-Base36-0.07-2.fc14
Comment 7 Fedora Update System 2010-09-08 23:58:24 EDT
perl-Math-Base36-0.07-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Math-Base36-0.07-2.fc13
Comment 8 Fedora Update System 2010-09-09 23:29:01 EDT
perl-Math-Base36-0.07-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Math-Base36'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Math-Base36-0.07-2.fc13
Comment 9 Fedora Update System 2010-09-20 21:35:55 EDT
perl-Math-Base36-0.07-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-09-23 08:48:06 EDT
perl-Math-Base36-0.07-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.